/*     
 * $RCSfile: xk_arch.h,v $
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Log: xk_arch.h,v $
 * Revision 1.2  1996/01/30  20:51:47  slm
 * Updated copyright and version.
 *
 * Revision 1.1  1995/07/29  02:41:54  slm
 * Initial revision
 *
 * Revision 1.2.1.1.1.1  1994/11/12  19:11:29  hkaram
 * New branch
 *
 * Revision 1.2.1.1  1994/04/19  00:16:58  menze
 * scanf format macros for 32-bit ints
 *
 * Revision 1.2  1994/02/05  00:34:54  menze
 *   [ 1994/02/03          menze ]
 *   HalfWord, Word, Byte replaced by xk_intN
 *
 * Revision 1.1  1994/01/29  00:50:32  menze
 * Initial revision
 */

/*
 * for use when length matters (e.g., protocol header fields).
 */
#define xk_int8		char
#define xk_int16	short
#define xk_int32	int
#define XK_INT32_HEX_FORMAT	"%x"
#define XK_INT32_DEC_FORMAT	"%d"

#define xk_u_int8	unsigned char
#define xk_u_int16	unsigned short
#define xk_u_int32	unsigned int
